{
      Подключение этого модуля включает запись лога в stderr.
}
unit dlog_stderr;

interface

uses
  dlog;

procedure LogToStderr(Entry: PLogEntry);

implementation

var
  AllowStdErr: Boolean = True;

procedure LogToStderr(Entry: PLogEntry);
begin
  if AllowStdErr then begin
    Writeln(StdErr, Entry^.BuildString);
  end;
end;

initialization
  // TODO maybe extract it to dlog_stderr_default?
  AllowStdErr := IsConsole;
  AddLogFunc(@LogToStderr);
end.
